////////////////////////////////////////////////////////////////////////////////////
/// @file CVertex.h
/// @author DGI
/// @date 2005-06-15
/// @version 1.0
///
/// @addtogroup chargeur3ds Chargeur 3DS
/// @{
////////////////////////////////////////////////////////////////////////////////////
#ifndef __CVERTEX_H__
#define __CVERTEX_H__


#include "Vecteur.h"
#include "CLectureFichierBinaire.h"
#include "CLectureFichierBinaire.h"

using namespace std;


namespace chargeur3ds {


   ///////////////////////////////////////////////////////////////////////////
   /// @class CVertex
   /// @brief 
   ///
   /// Contient la position d'un vertex
   ///
   /// @author DGI-2990
   /// @date 2005-09-27
   ///////////////////////////////////////////////////////////////////////////
   class CVertex
   {
   public:
       ///Construction
       CVertex ( const Vecteur3& _pos = Vecteur3 ( 0.0, 0.0, 0.0 ));
       /// Destruction
       ~CVertex() {}


       /// Surcharge de l'oprateurs < (crire dans un fichier binaire)
       friend CEcritureFichierBinaire& operator< ( CEcritureFichierBinaire& out, const CVertex& sv);
       /// Surcharge de l'oprateurs > (Lecture dans un fichier binaire)
       friend CLectureFichierBinaire& operator> ( CLectureFichierBinaire& in, CVertex& sv);

       /// Lecture d'un fichier txt
       void importer ( ifstream& in);

       ///Position du vertex
       Vecteur3 pos;
   };


} // Fin de l'espace de nom chargeur3ds


#endif // __CVERTEX_H__


////////////////////////////////////////////////////////////////////////////////////
/// @}
////////////////////////////////////////////////////////////////////////////////////
